import { PaymentCardValidator as ClassPaymentCardValidator } from './paymentCardValidator/index';
import { PaymentSlipValidator as ClassPaymentSlipValidator } from './paymentSlipValidator/index';
import { CepValidator } from './cep';
import type { EmailValidator, MinMaxParamsEmail, ParamsValidatorEmail, PhoneValidator, ParamsPhoneValidator, CustomPatternPhone, BrandCard, ParamsPaymentCardValidator, PaymentCardValidator, TypeCard, paymentSlipSegmentType, paymentSlipSegmentIdentification, PaymentSlipValidator, ParamsPaymentSlipValidator, ParamsStateRegistrationValidator } from './contracts/index';
export type TypesValidators = {
    EmailValidator: EmailValidator;
    MinMaxParamsEmail: MinMaxParamsEmail;
    ParamsValidatorEmail: ParamsValidatorEmail;
    PhoneValidator: PhoneValidator;
    ParamsPhoneValidator: ParamsPhoneValidator;
    CustomPatternPhone: CustomPatternPhone;
    BrandCard: BrandCard;
    ParamsPaymentCardValidator: ParamsPaymentCardValidator;
    PaymentCardValidator: PaymentCardValidator;
    TypeCard: TypeCard;
    PaymentSlipSegmentIdentification: typeof paymentSlipSegmentIdentification;
    PaymentSlipSegmentType: typeof paymentSlipSegmentType;
    PaymentSlipValidator: PaymentSlipValidator;
    ParamsPaymentSlipValidator: ParamsPaymentSlipValidator;
    ParamsStateRegistrationValidator: ParamsStateRegistrationValidator;
};
declare const validators: {
    cpf: (cpf?: string | undefined) => boolean;
    cnpj: (cnpj?: string | undefined) => boolean;
    email: ({ email, paramsEmailValidator, }: EmailValidator) => boolean;
    nis: (nis?: string | undefined) => boolean;
    phone: ({ phone, paramsPhoneValidator, }: PhoneValidator) => boolean;
    paymentCard: typeof ClassPaymentCardValidator.init;
    paymentSlip: typeof ClassPaymentSlipValidator.init;
    stateRegistration: ({ digits, uf, }: ParamsStateRegistrationValidator) => boolean;
    voterRegistration: (digits?: string | undefined) => boolean;
    cnh: (cnh?: string | undefined) => boolean;
    renavam: (renavam?: string | undefined) => boolean;
    cep: typeof CepValidator.init;
};
export default validators;
//# sourceMappingURL=index.d.ts.map